<!DOCTYPE html>
<html>
    <head>
        <title>Hello</title>
    </head>
    <body>
        <table>
            <tr th:each="name : ${names}">
                <td th:text="${name.firstName}"></td>
                <td th:text="${name.surname}"></td>
            </tr>
        </table>
    </body>
</html>